Рекомендация Debian по безопасности

DSA-1033-1 horde3 -- несколько уязвимостей

Дата сообщения:
12.04.2006
Затронутые пакеты:
horde3
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 361967.
В каталоге Mitre CVE: CVE-2005-4190, CVE-2006-1260, CVE-2006-1491.
Более подробная информация:

В Horde, инфраструктуре веб-приложений, было обнаружено несколько удалённых уязвимостей, которые могут приводить к выполнению произвольного веб-сценария. Проект Common Vulnerabilities and Exposures определяет следующие проблемы:

  • CVE-2005-4190

    В "share edit window" было обнаружено несколько случаев межсайтового скриптинга .

  • CVE-2006-1260

    Null-символы в параметре URL обходят проверку чистоты, что позволяет удалённым злоумышленникам считывать произвольные файлы, позволяя им раскрывать информацию.

  • CVE-2006-1491

    Пользовательские входные данные в просмотрщике справки передаются функции eval() без предварительной очистки, что позволяет вводить произвольный веб-сценарий.

В предыдущем стабильном выпуске (woody) пакеты horde3 отсутствуют.

В стабильном выпуске (sarge) эти проблемы были исправлены в версии 3.0.4-4sarge3.

В нестабильном выпуске (sid) эти проблемы были исправлены в версии 3.1.1-1.

Рекомендуется обновить пакет horde3.

Исправлено в:

Debian GNU/Linux 3.1 (sarge)

Исходный код:
http://security.debian.org/pool/updates/main/h/horde3/horde3_3.0.4-4sarge3.dsc
http://security.debian.org/pool/updates/main/h/horde3/horde3_3.0.4-4sarge3.diff.gz
http://security.debian.org/pool/updates/main/h/horde3/horde3_3.0.4.orig.tar.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/h/horde3/horde3_3.0.4-4sarge3_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.